using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

// Bitte beachten Sie auch den Fortsetzungsband zu diesem Buch, falls
// Ihnen das Programmieren Spaß gemacht hat und Sie sich fortgeschritteneren 
// Themen zuwenden wollen. Alle Informationen zum Fortsetzungsband finden
// Sie auf der Website: www.tiefer-einsteigen.de 
namespace InkDek
{
    class Program
    {
        static void Main(string[] args)
        {
            string linkid = "C41E3";
            Console.WriteLine(linkid.ToLower());

            int i = 4;
            Console.WriteLine("Inkrementoperator in der Post-Schreibweise");
            Console.WriteLine("i={0}", i);
            Console.WriteLine("i={0}", i++);
            Console.WriteLine("i={0}", i);
            Console.WriteLine();

            i = 4;
            Console.WriteLine("Inkrementoperator in der Präfix-Schreibweise");
            Console.WriteLine("i={0}", i);
            Console.WriteLine("i={0}", ++i);
            Console.WriteLine("i={0}", i);
            Console.WriteLine();

            i = 4;
            Console.WriteLine("Dekrementoperator in der Post-Schreibweise");
            Console.WriteLine("i={0}", i);
            Console.WriteLine("i={0}", i--);
            Console.WriteLine("i={0}", i);
            Console.WriteLine();

            i = 4;
            Console.WriteLine("Dekrementoperator in der Präfix-Schreibweise");
            Console.WriteLine("i={0}", i);
            Console.WriteLine("i={0}", --i);
            Console.WriteLine("i={0}", i);
            Console.WriteLine();

            Console.ReadKey();

        }
    }
}
